// -*- C++ -*-  $Id: od_defs.h,v 1.5 2014/01/16 15:11:19 jorma Exp $
//
// Copyright 2009-2014 PicSOM Development Group <picsom@cis.hut.fi>
// Aalto University School of Science
// Department of Information and Computer Science
// P.O.BOX 15400, FI-00076 Aalto, FINLAND
//

/*! \file od_defs.h 
 *   \brief All compile-option defines should be in this file. 
 *
 *   Note that all active defines show up duplicated in the documentation.
 */ 

/*! \def USE_BOOST_ALGORITHM_STRING
    Whether to use Boost/algorithm/string to process more complicated 
    string inputs. This is currently needed only for analysis mode.
*/
#define USE_BOOST_ALGORITHM_STRING

/*! \def USE_LIBSVM
    Whether to use SVMs, requires the LIBSVM library
*/
//#define USE_LIBSVM

// This is needed to show all defines in documentation:
#if DOXYGEN
#define USE_BOOST_ALGORITHM_STRING
#define USE_LIBSVM
#endif



